import {StringUtils} from "../../utils/string-utils.class";
import {properties} from "../../../../environments/environment";

export class CommunityInfo {
  title: string;
  shortTitle:string;
  communityId: string;
  queryId: string;
  type: string;
  logoUrl: string;
  description: string;
  managers: string[];
  date:Date;
  subjects: string[];
  status:string;
  zenodoCommunity:string;
  isUpload: boolean;
  isSubscribed: boolean;
  isManager: boolean;
  
  getLogoUrl() {
    return (this.isUpload?(properties.utilsService + '/download/' + this.logoUrl):this.logoUrl);
  }
  
  public static checkIsUpload(response: CommunityInfo | CommunityInfo[]): any | any[] {
    if (Array.isArray(response)) {
      response.forEach(value => {
        value.isUpload = value.logoUrl && !StringUtils.isValidUrl(value.logoUrl);
      });
    } else {
      response.isUpload = response.logoUrl && !StringUtils.isValidUrl(response.logoUrl);
    }
    return response;
  }
}
// export const prodReadyCommunities = ["dh-ch", "ee", "fam", "mes", "ni", "covid-19", "dariah", "epos", "egi"];
